# Class ARBQ1BiquadBRFO2

java.lang.Object
com.io7m.aradine.filter.biquad1.ARBQ1BiquadBRFO2

All Implemented Interfaces:
  `ARBQ1BiquadType, ARBQ1BiquadWithQType`

public final class ARBQ1BiquadBRFO2 extends Object implements ARBQ1BiquadWithQType

A simple biquad band-reject filter of order 2 (Two zeroes, two poles).

See Also:
  - "https://www.earlevel.com/main/2012/11/26/biquad-c-source-code/"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ARBQ1BiquadBRFO2()`
  Create a new filter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `processOneFrame(double input)`
  Process a single input frame.
  `void`
  `setCutoff(double newCutoff)`
  Specify a new frequency cutoff value.
  `void`
  `setQ(double newQ)`
  Set the Q value for the filter.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ARBQ1BiquadType

  `processOneFrameBuffers`

- ## Constructor Details

  - ### ARBQ1BiquadBRFO2

    public ARBQ1BiquadBRFO2()
    Create a new filter.

- ## Method Details

  - ### setCutoff

    public void setCutoff(double newCutoff)
    Description copied from interface: `ARBQ1BiquadType`

    Specify a new frequency cutoff value.

    Specified by:
      `setCutoff` in interface `ARBQ1BiquadType`
    Parameters:
      `newCutoff` - The cutoff

  - ### setQ

    public void setQ(double newQ)
    Description copied from interface: `ARBQ1BiquadWithQType`

    Set the Q value for the filter.

    This is typically a non-zero value, where large values tend to cause the filter to begin self-oscillating.

    Specified by:
      `setQ` in interface `ARBQ1BiquadWithQType`
    Parameters:
      `newQ` - The new Q value

  - ### processOneFrame

    public double processOneFrame(double input)
    Description copied from interface: `ARBQ1BiquadType`
    Process a single input frame.
    Specified by:
      `processOneFrame` in interface `ARBQ1BiquadType`
    Parameters:
      `input` - The input frame
    Returns:
      The output frame